# AdministratorChatMemberImpl - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.ChatMember / AdministratorChatMemberImpl

# AdministratorChatMemberImpl

(common) `data class AdministratorChatMemberImpl : AdministratorChatMember` (source)

### Constructors

(common)

#### <init>

`AdministratorChatMemberImpl(user: User, canBeEdited: Boolean, canChangeInfo: Boolean, canPostMessages: Boolean, canEditMessages: Boolean, canRemoveMessages: Boolean, canInviteUsers: Boolean, canRestrictMembers: Boolean, canPinMessages: Boolean, canPromoteMembers: Boolean, customTitle: String?)`

### Properties

(common)

#### canBeEdited

`val canBeEdited: Boolean`

(common)

#### canChangeInfo

`val canChangeInfo: Boolean`

(common)

#### canEditMessages

`val canEditMessages: Boolean`

(common)

#### canInviteUsers

`val canInviteUsers: Boolean`

(common)

#### canPinMessages

`val canPinMessages: Boolean`

(common)

#### canPostMessages

`val canPostMessages: Boolean`

(common)

#### canPromoteMembers

`val canPromoteMembers: Boolean`

(common)

#### canRemoveMessages

`val canRemoveMessages: Boolean`

(common)

#### canRestrictMembers

`val canRestrictMembers: Boolean`

(common)

#### customTitle

`val customTitle: String?`

(common)

#### user

`val user: User`